# Draw
TKXDEDRAW
XDEDRAW

# XDEDRAW Class Reference

Provides DRAW commands for work with DECAF data structures
.

`#include <XDEDRAW.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Init (Draw_Interpretor &di)
| Initializes all the functions .
static Standard_EXPORT void | Factory (Draw_Interpretor &theDI)
| Loads all Draw commands of TKXDEDRAW. Used for plugin. .

## Member Function Documentation

static Standard_EXPORT void XDEDRAW::Factory | ( | Draw_Interpretor & | theDI | ) | `[static]`

static Standard_EXPORT void XDEDRAW::Init | ( | Draw_Interpretor & | di | ) | `[static]`

void XDEDRAW::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XDEDRAW::operator new | ( | size_t | size | ) | `[inline]`

void* XDEDRAW::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- XDEDRAW.hxx